Package ru.bitel.bgbilling.plugins.crm.common.service

# Interface CRMService

public interface CRMService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RegisterCallDTO`
  `registerCallGet(int registerCallId)`
  `SearchResult<RegisterCallItem>`
  `registerCallItems(int contractId, int subjectId, Period period, Page page)`
  `int`
  `registerCallUpdate(RegisterCall registerCall, int problemId, String problemComment, boolean sendMail)`
  `List<IdTitle>`
  `registerCategoryItems()`
  `void`
  `registerExecutorDelete(int id)`
  `List<IdTitle>`
  `registerExecutorItems(List<Integer> groupIds)`
  `List<RegisterExecutor>`
  `registerExecutorList(List<Integer> groupIds)`
  `List<IdTitle>`
  `registerGroupItems(int id)`
  `List<RegisterGroup>`
  `registerGroupList(int id)`
  `String`
  `registerProblemCalls(int id)`
  `void`
  `registerProblemHistoryClear(int id)`
  `List<RegisterProblem>`
  `registerProblemHistoryList(int id)`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `registerProblemTasks(int id)`
  `List<IdTitle>`
  `registerProblemUsedGroups(int id)`
  `List<IdTitle>`
  `registerStatusItems(RegisterObjectType objectType)`
  `boolean`
  `registerSubjectDelete(int id)`
  `RegisterSubject`
  `registerSubjectGet(int id)`
  `List<IdTitle>`
  `registerSubjectList()`
  `int`
  `registerSubjectUpdate(RegisterSubject registerSubject)`

- ## Method Details

  - ### registerSubjectList

    List<IdTitle> registerSubjectList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerSubjectGet

    RegisterSubject registerSubjectGet(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerSubjectDelete

    boolean registerSubjectDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerSubjectUpdate

    int registerSubjectUpdate(RegisterSubject registerSubject) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerCallItems

    SearchResult<RegisterCallItem> registerCallItems(int contractId, int subjectId, Period period, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerCallGet

    RegisterCallDTO registerCallGet(int registerCallId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerCallUpdate

    int registerCallUpdate(RegisterCall registerCall, int problemId, String problemComment, boolean sendMail) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerExecutorList

    List<RegisterExecutor> registerExecutorList(List<Integer> groupIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerExecutorItems

    List<IdTitle> registerExecutorItems(List<Integer> groupIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerExecutorDelete

    void registerExecutorDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerGroupList

    List<RegisterGroup> registerGroupList(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerGroupItems

    List<IdTitle> registerGroupItems(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerCategoryItems

    List<IdTitle> registerCategoryItems() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerStatusItems

    List<IdTitle> registerStatusItems(RegisterObjectType objectType) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerProblemUsedGroups

    List<IdTitle> registerProblemUsedGroups(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerProblemCalls

    String registerProblemCalls(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerProblemTasks

    List<ru.bitel.bgbilling.common.model.KeyValue> registerProblemTasks(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerProblemHistoryList

    List<RegisterProblem> registerProblemHistoryList(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### registerProblemHistoryClear

    void registerProblemHistoryClear(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`